Package com.xebialabs.xlrelease.utils

# Class Diff$

java.lang.Object
com.xebialabs.xlrelease.utils.Diff$

All Implemented Interfaces:
  `Serializable`

public class Diff$ extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Diff$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Diff$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<K, A> Diff<K,A>`
  `apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after)`
  `<K, A> Diff<K,A>`
  `apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after, scala.Function2<A,A,Object> areEqual)`
  `<A> Diff<A,A>`
  `apply(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after)`
  `<K, A> scala.Function2<A,A,Object>`
  `apply$default$3()`
  `<K, A> Diff<K,A>`
  `applyWithKeyMapping(List<A> before, List<A> after, scala.Function1<A,K> keyMapping)`
  `<K, A> Diff<K,A>`
  `applyWithKeyMapping(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping)`
  `<K, A> Diff<K,A>`
  `applyWithKeyMappingAndComparator(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping, scala.Function2<A,A,Object> areEqual)`
  `<K, A> scala.Option<scala.Tuple3<scala.collection.immutable.Map<K,A>,scala.collection.immutable.Map<K,A>,scala.Function2<A,A,Object>>>`
  `unapply(Diff<K,A> x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final Diff$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### Diff$

    public Diff$()

- ## Method Details

  - ### apply

    public <K, A> Diff<K,A> apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after)

  - ### apply

    public <A> Diff<A,A> apply(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after)

  - ### apply$default$3

    public <K, A> scala.Function2<A,A,Object> apply$default$3()

  - ### applyWithKeyMapping

    public <K, A> Diff<K,A> applyWithKeyMapping(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping)

  - ### applyWithKeyMapping

    public <K, A> Diff<K,A> applyWithKeyMapping(List<A> before, List<A> after, scala.Function1<A,K> keyMapping)

  - ### applyWithKeyMappingAndComparator

    public <K, A> Diff<K,A> applyWithKeyMappingAndComparator(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,K> keyMapping, scala.Function2<A,A,Object> areEqual)

  - ### apply

    public <K, A> Diff<K,A> apply(scala.collection.immutable.Map<K,A> before, scala.collection.immutable.Map<K,A> after, scala.Function2<A,A,Object> areEqual)

  - ### unapply

    public <K, A> scala.Option<scala.Tuple3<scala.collection.immutable.Map<K,A>,scala.collection.immutable.Map<K,A>,scala.Function2<A,A,Object>>> unapply(Diff<K,A> x$0)